%define upstream_name    MetaCPAN-API
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Distribution and releases information for MetaCPAN::API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::TinyMocker)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a hopefully-complete API-compliant interface to MetaCPAN (the
https://metacpan.org manpage) with DWIM capabilities, to make your life
easier.

This module has three purposes:

* * Provide 100% of the beta MetaCPAN API

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.510.0-5.mga10
+ Revision: 2208484
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.510.0-4.mga9
+ Revision: 1818870
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.510.0-3.mga8
+ Revision: 1505120
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.510.0-2.mga7
+ Revision: 1284768
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.510.0-1.mga7
+ Revision: 1217146
- BR perl(JSON::MaybeXS)
- Update to version 0.51

* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-3.mga7
+ Revision: 1029881
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.500.0-2.mga6
+ Revision: 968627
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.500.0-1.mga6
+ Revision: 854144
- update to 0.50

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-4.mga5
+ Revision: 750245
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.440.0-3.mga5
+ Revision: 735696
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-2.mga5
+ Revision: 685395
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.440.0-1.mga5
+ Revision: 620686
- update to 0.44

* Fri Oct 18 2013 umeabot <umeabot> 0.430.0-3.mga4
+ Revision: 512882
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-2.mga3
+ Revision: 369702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 jquelin <jquelin> 0.430.0-1.mga3
+ Revision: 302085
- imported package perl-MetaCPAN-API


* Tue Oct 02 2012 cpan2dist 0.43-1mga
- initial mageia release, generated with cpan2dist
